=== deps/CMakeLists.txt ===

if(TL_CPPUTILS_TESTS)
	add_subdirectory(googletest)
endif()
