=== debian/control ===
Source: tl-cpputils
Priority: optional
Maintainer: Yangfl <mmyangfl@gmail.com>
Build-Depends:
 debhelper (>= 10),
 cmake (>= 3.6),
Standards-Version: 4.1.3
Section: libs
Homepage: https://github.com/avast-tl/tl-cpputils
Vcs-Git: https://salsa.debian.org/yangfl-guest/tl-cpputils.git
Vcs-Browser: https://salsa.debian.org/yangfl-guest/tl-cpputils

Package: libtl-cpputils-dev
Section: libdevel
Architecture: any
Depends: libtl-cpputils1 (= ${binary:Version}), ${misc:Depends}
Description: general C++ utility library used by Avast Threat Labs projects (development files)
 A general C++ utility library used by various Avast Threat Labs projects.
 .
 The library contains several independently usable modules to facilitate work
 with addresses, containers, strings, time, etc.
 .
 This package contains the header files.

Package: libtl-cpputils1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: general C++ utility library used by Avast Threat Labs projects
 A general C++ utility library used by various Avast Threat Labs projects.
 .
 The library contains several independently usable modules to facilitate work
 with addresses, containers, strings, time, etc.
