=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%tl-cpputils-$1.tar.gz%" \
   https://github.com/avast-tl/tl-cpputils/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
